/* STICKY HEADER NAVIGATION BAR */
.sticky{
    position: sticky;
    top: 0;
    bottom: 0;
   z-index: 999;
}
.nav_header{
  background-color: rgba(116, 206, 209, 1);
  filter: drop-shadow(0px 3px 1px #FFF9DC);
  display:flex;
  flex-direction:row;
  align-items: center;
  justify-content:center;
  gap: 7%;
  padding:0.5%;
  text-transform: uppercase;
  font-family: "Londrina Solid", sans-serif;
  font-weight: 270; 
  font-size: 110%;
  height: 80px;
  /* this makes it touch the edge of the screen! */
  top: 0;
  left: 0;
  width: 100%;
}
.nav_button{
    background: linear-gradient(#FF5CA2 55%, #BF3E81);
    width: 10%;
    /* height: 20%; */
    text-align: center;
    border:2px solid #FFF9DC;
    border-radius: 10px;
    padding: 0.5%;
    filter: drop-shadow(0px 3px 1px #FFF9DC);
    transition:all 0.3s ease;
     z-index: 999;
     position: relative;
}
.nav_header a{
    text-decoration: none;
    color: #FFF9DC;
    font-size: large;
}
.nav_button:hover{
    background: linear-gradient(#FF5CA2, #FFE048);
    transform:scale(1.1);
}
.nav_button_current{
    background: linear-gradient(#FF5CA2 55%, #FFA4BD);
    width: 10%;
    /* height: 20%; */
    text-align: center;
    border:2px solid #FFF9DC;
    border-radius: 10px;
    padding: 0.5%;
    filter: drop-shadow(0px 3px 1px #FFF9DC);
  transition:all 0.3s ease;
       z-index: 999;
     position: relative;
}
.nav_button_current:hover{
    background: linear-gradient(#FF5CA2, #FFE048);
    transform:scale(1.1);
}
.nav_logo{
    top: 20%;
    width: 20%;
    filter: drop-shadow(0px 3px 1px #FF5CA2);
  transition:all 0.3s ease;
       z-index: 999;
     position: relative;
}
.nav_logo:hover{
    transform:scale(1.1);
}
 #particles-js {
    position: absolute;
    width: 100%;
    height: 100%;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: 100%;
    /* opacity: 0.48; */
}
body{
    margin: 0;
    padding: 0;
    overflow: hidden;
}
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
.banner_text{
    color: #FFF9DC;
    background: linear-gradient(#FF5CA2 55%, #FFE048);
    text-transform: uppercase;
    border:2px solid #BF3E81;
    border-image: url(../images/banner_text_colour.svg) 27 23 / 50px 30px / 1rem round space;
    filter: drop-shadow(0px 3px 1px #FF5CA2);
}
.fade-in{
    opacity: 0;
    transform: translateY(40px);
    transition: all 0.6s ease;
    width: 100%;
    height: 100%;
}
.fade-in.show{
    opacity:1;
    transform: translateY(0);
}
#particles-js2{
    position: absolute;
    width: 100%;
    height: 100%;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: 100%;
    opacity: 20%;
}
/* CONTACT CONTAINER */
.contact_container{
    background: linear-gradient(#BF3E81 50%, #FFE048);
    width: 100%;
    height: 100%;
    padding: 10.5%;
}
.contact_block{
    background-color: #FFF9DC;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 999;
    height: 200%;
    margin-top: -10%;
    border-radius: 15px;
  filter: drop-shadow(0px 3px 1px #FF5CA2);
  padding: 5%;
  gap: 5%;
}
.left, .right {
  flex: 1;
}
.left .banner_text{
    font-family: "Londrina Solid", sans-serif;
    text-align: center;
}
.die{
    margin-top: 10%;
  font-family: "Kanit", sans-serif;
  color: #BF3E81;
  text-align: center;
}
.right{
    font-family: "Londrina Solid", sans-serif;
    color: #BF3E81;
}
form{
    display: flex;
    flex-direction: column;
}
i{
    color: #BF3E81;
    font-size: 40px;
    /* margin-top: 10%; */
}
.social_container{
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 5%;
}
.social_icons{
    display: flex;
    justify-content: center;
    align-items: center;
}
.social_container{
  font-family: "Kanit", sans-serif;
  color: #BF3E81;
}
/* CONTACT FORM */
/* Style inputs with type="text", select elements and textareas */
input[type=text], select, textarea {
  width: 100%; /* Full width */
  padding: 12px; /* Some padding */ 
  border: 1px solid #BF3E81; 
  border-radius: 4px; /* Rounded borders */
  box-sizing: border-box; /* Make sure that padding and width stays in place */
  margin-top: 6px; /* Add a top margin */
  margin-bottom: 16px; /* Bottom margin */
  resize: vertical; /* Allow the user to vertically resize the textarea (not horizontally) */
  font-family: "Kanit", sans-serif;
}
input[type=email], select, textarea {
  width: 100%; /* Full width */
  padding: 12px; /* Some padding */ 
  border: 1px solid #BF3E81; 
  border-radius: 4px; /* Rounded borders */
  box-sizing: border-box; /* Make sure that padding and width stays in place */
  margin-top: 6px; /* Add a top margin */
  margin-bottom: 16px; /* Bottom margin */
  resize: vertical; /* Allow the user to vertically resize the textarea (not horizontally) */
  font-family: "Kanit", sans-serif;
}
input[type=number], select, textarea {
  width: 100%; /* Full width */
  padding: 12px; /* Some padding */ 
  border: 1px solid #BF3E81; 
  border-radius: 4px; /* Rounded borders */
  box-sizing: border-box; /* Make sure that padding and width stays in place */
  margin-top: 6px; /* Add a top margin */
  margin-bottom: 16px; /* Bottom margin */
  resize: vertical; /* Allow the user to vertically resize the textarea (not horizontally) */
  font-family: "Kanit", sans-serif;
}

/* Style the submit button with a specific background color etc */
input[type=submit] {
background: linear-gradient(#FF5CA2 55%, #BF3E81);
  color: #FFF9DC;
  padding: 12px 20px;
  border: none;
  border-radius: 10px;
  cursor: pointer;
  font-family: "Londrina Solid", sans-serif;
    transition:all 0.3s ease;
}

/* When moving the mouse over the submit button, add a darker green color */
input[type=submit]:hover {
    background: linear-gradient(#FF5CA2, #FFE048);
    transform:scale(1.1);
}

/*Add a background color and some padding around the form */
.container {
  border-radius: 5px;
  background-color: #f2f2f2;
  padding: 20px;
}

/* TICKER TAPE */
.scrolling_text {
    width: 100%;
    overflow: hidden;
    display: flex;
    white-space: nowrap;
}
.text span {
    margin: 0 45px;
}
.text {
    font-size: 100%;
    font-weight: 700;
    text-transform: uppercase;
    font-family: "Londrina Solid", sans-serif;
    color: #BF3E81;
    background-color: #FFE048;
    animation: animate_text 100s linear infinite; /* The animation property */
    border:1px solid #FFF9DC;
}

/* MOBILE ELEMENTS */
.mobile_header{
    position: sticky;
    background-color: #74CED1;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 1%;
    gap: 30%;
    filter: drop-shadow(0px 3px 1px #FFF9DC);
}
.mobile_header img{
    max-width: 50%;
}
.burger_icon{
    color: #FFF9DC;
    background: linear-gradient(#FF5CA2 55%, #FFE048);
    border-radius: 5px;
    width: 10%;
    height: 10%;
    text-align: center;
    border:2px solid #FFF9DC;
    z-index: 999;
}
.sidenav {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 1;
  top: 0;
  right: 0;
background: linear-gradient(rgba(255, 224, 72, 0.9), rgba(255, 92, 162, 0.7));
  overflow-x: hidden;
  transition: 0.5s;
  padding-top: 60px;
  display: flex;
  flex-direction: column;
  border:2px solid #FFF9DC;
}
.top_navbar{
    display: flex;
    padding: 3%;
    gap: 50%;
}
.top_navbar img{
filter: drop-shadow(0px 3px 1px #FFF9DC);
}
.sidenav a {
  /* padding: 8px 8px 8px 32px; */
  text-decoration: none;
  display: block;
  transition: 0.3s;
background: linear-gradient(#FF5CA2 55%, #BF3E81);
/* width: 100%; */
border:2px solid #FFF9DC;
border-radius: 10px;
padding: 2%;
filter: drop-shadow(0px 3px 1px #FFF9DC);
transition:all 0.3s ease;
z-index: 999;
/* position: relative; */
margin-top: 5%;
/* margin-left: 5%; */
margin: 5%;
gap: 5%;
/* height: 43%; */
top: 50px;
}
.burger_text{
font-size: 25px;
  color: #f1f1f1;
  font-family: "Londrina Solid", sans-serif;
  text-align: center;
  height: 15;
  font-size: x-large;
  text-transform: uppercase;
}
.sidenav a:hover {
  color: #f1f1f1;
}
.closebtn {
  top: 50px;
  font-size: 36px;
  margin-left: 150px;
  text-decoration: none;
  color: #f1f1f1;
  text-align: center;
  width: 20%;
  font-weight: bold;
  background: linear-gradient(#FF5CA2 55%, #FFE048);
}
@keyframes animate_text {
    from {
      transform: translate3d(0, 0, 0);
    }
    to {
      transform: translate3d(-100%, 0, 0);
    }
}
/* HIDE MOBILE ELEMENTS HERE */
@media screen and (min-width: 600px){
.mobile_header{
    visibility: hidden;
    display: none;
}
}
/* HIDE DESKTOP ELEMENTS HERE, MAKE MOBILE ELEMENTS VISIBLE HERE, EDIT EXISTING DESKTOP ELEMENTS FOR MOBILE HERE */
@media screen and (max-width: 600px){
  .sticky{grid-area: 1 / span 6;}
  .nav_header{
      display: none;
  }
  .mobile_header{
      visibility: visible;
  }
  .sidenav {padding-top: 15px;}
  .sidenav a {font-size: 18px;}
#particles-js2{
    height: auto;
}
.contact_block{
  flex-direction: column;
  padding: 2%;
  width: 100%;
  align-items: center;
  justify-content: center;
}
.left{
  text-align: center;
  justify-content: center;
  align-items: center;
  display: flex;
  flex-direction: column;
}
.left .banner_text{
  width: 80%;
  margin-top: 5%;
  font-size: small;
}
.left p{
  font-size: smaller;
}
.right{
  margin-top: 5%;
  width: 100%;
}
.contact_container{
  width: 100%;
  /* height: 100vh; */
}
  }